<template>
  <fc-designer ref="designer" @save="handleSave"  :config="config" />
</template>

<script setup>
import { ref } from 'vue';

const designer = ref();

// 获取表单 JSON 配置
const getJson = () => {
  console.log(designer.value.getJson());
};

// 加载已有配置
const loadJson = (json) => {
  designer.value.setJson(json);
};

// 保存方法
// https://view.form-create.com/save#%E4%BF%9D%E5%AD%98%E6%95%B0%E6%8D%AE%E7%A4%BA%E4%BE%8B
const handleSave = ({rule, options}) => {
  console.log("你点击了保存按钮")
  console.log("rule", rule)
  console.log("options", options)
}

// 配置项
// 详见https://view.form-create.com/ts#%E8%AE%BE%E8%AE%A1%E5%99%A8%E9%85%8D%E7%BD%AE
const config = ref( {
  // 显示保存按钮
  showSaveBtn: true
} )

</script>
